### org.jfree.layouting.input.style.keys.box

# Class FloatDisplace

- `java.lang.Object`
- - `org.jfree.layouting.input.style.keys.box.FloatDisplace`

`public class FloatDisplace`
`extends java.lang.Object`

Creation-Date: 27.10.2005, 22:21:37

Author:
  Thomas Morgner

  ## Field Summary

  `static CSSConstant`

  `BLOCK`
    The containing block's width as used by the horizontal formatting model is reduced by the width of the floats intruding upon its content area (not taking into account floating descendants or floating elements that appear later in the document tree).

  `static CSSConstant`

  `BLOCK_WITHIN_PAGE`
    As for the 'block' value, but the determination of intrusions that adjust the width of the block is done separately on each page on which the block appears.

  `static CSSConstant`

  `INDENT`
    The distance between the margin edge of the floats and the start of the line box is set to the distance between the active reference indent edge (see the 'indent-edge-reset' property) and the content edge of the block box.

  `static CSSConstant`

  `LINE`
    Line boxes should be shortened and moved so as to avoid floats.

## Field Details

### BLOCK

    public static final CSSConstant BLOCK

> The containing block's width as used by the horizontal formatting model is reduced by the width of the floats intruding upon its content area (not taking into account floating descendants or floating elements that appear later in the document tree). The block is then flowed in this reduced containing block width.

> If the effective containing block width is, by the algorithm given above, reduced to a value smaller than the sum of the margin-left, border-width-left, padding-left, width, padding-right, border-width-right, and margin-right values (treating any 'auto' values as zero) then the margin-top of the block is increased until the effective containing block width is no longer so constrained or until all floats have been cleared, whichever occurs first.

### BLOCK_WITHIN_PAGE

    public static final CSSConstant BLOCK_WITHIN_PAGE

> As for the 'block' value, but the determination of intrusions that adjust the width of the block is done separately on each page on which the block appears. Thus, the block may be narrowed on the first page due to one or more intrusions, but may expand (or contract) its width on subsequent pages with different intrusions. The computed value of the 'width' property for this case is...?

### INDENT

    public static final CSSConstant INDENT

> The distance between the margin edge of the floats and the start of the line box is set to the distance between the active reference indent edge (see the 'indent-edge-reset' property) and the content edge of the block box. This ensures that relative indents are preserved in the presence of floats.

### LINE

    public static final CSSConstant LINE

> Line boxes should be shortened and moved so as to avoid floats. The margin, border, padding and background of the element are not affected by floats. (This is the behavior as described in CSS2.)